Bug 1790074 - Review Request: python-pendulum - Python datetimes made easy
Summary: Review Request: python-pendulum - Python datetimes made easy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-11 15:47 UTC by Fabian Affolter
Modified: 2020-02-08 00:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-01 01:19:35 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-01-11 15:47:09 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-pendulum.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-pendulum-2.0.5-1.fc31.src.rpm

Project URL: https://pendulum.eustace.io

Description:
Unlike other datetime libraries for Python, Pendulum is a drop-in replacement
for the standard datetime class (it inherits from it), so, basically, you can
replace all your datetime instances by DateTime instances in you code.

It also removes the notion of naive datetimes: each Pendulum instance is
timezone-aware and by default in UTC for ease of use.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=40408887

rpmlint output:
$ rpmlint python-pendulum-2.0.5-1.fc31.src.rpm 
python-pendulum.src: W: spelling-error Summary(en_US) datetimes -> date times, date-times, teatimes
python-pendulum.src: W: spelling-error %description -l en_US datetimes -> date times, date-times, teatimes
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint python3-pendulum-*
python3-pendulum.x86_64: W: spelling-error Summary(en_US) datetimes -> date times, date-times, teatimes
python3-pendulum.x86_64: W: spelling-error %description -l en_US datetimes -> date times, date-times, teatimes
python3-pendulum.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/pendulum/_extensions/_helpers.c
python3-pendulum.x86_64: W: devel-file-in-non-devel-package /usr/lib64/python3.7/site-packages/pendulum/parsing/_iso8601.c
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-21 15:33:52 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - Conforms to Packaging Guidelines


Please fix the description: you have introduced a URL to a SRPM in it that shouldn't be there:

%description
Unlike other datetime libraries for Python, Pendulum is a drop-in replacement
for the standard datetime class (it inherits from it), so, basically, you can
replace all your datetime instances by DateTime instances in you code.


Package approved. Please fix the aforementioned issue before import.

Comment 2 Gwyn Ciesla 2020-01-21 21:03:57 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pendulum

Comment 3 Fedora Update System 2020-01-22 08:25:00 UTC
FEDORA-2020-34d3bbd7da has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-34d3bbd7da

Comment 4 Fedora Update System 2020-01-22 08:41:09 UTC
FEDORA-2020-a21db50d72 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a21db50d72

Comment 5 Fedora Update System 2020-01-22 08:48:13 UTC
FEDORA-EPEL-2020-eec2df46a4 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-eec2df46a4

Comment 6 Fedora Update System 2020-01-24 19:47:11 UTC
python-pendulum-2.0.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a21db50d72

Comment 7 Fedora Update System 2020-01-24 22:13:39 UTC
python-pendulum-2.0.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-eec2df46a4

Comment 8 Fedora Update System 2020-01-25 08:17:43 UTC
python-pendulum-2.0.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-34d3bbd7da

Comment 9 Fedora Update System 2020-02-01 01:19:35 UTC
python-pendulum-2.0.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-02 01:34:11 UTC
python-pendulum-2.0.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-02-08 00:29:16 UTC
python-pendulum-2.0.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.